List EKS Anywhere commits
curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/eks-anywhere/commits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/eks-anywhere/commits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/eks-anywhere/commits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"created_at": "2023-11-07T05:31:56Z",
"git_commit_id": "<string>",
"tag": "v2.1.1",
"message": "<string>",
"author_name": "<string>",
"author_avatar_url": "<string>",
"commit_page_url": "<string>"
}
]
}Clusters
List EKS Anywhere commits
Returns list of the last commits made on the repository linked to the EKS Anywhere cluster, filtered by the targeted YAML file when supported by provider.
GET
/
organization
/
{organizationId}
/
cluster
/
{clusterId}
/
eks-anywhere
/
commits
List EKS Anywhere commits
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Organization ID
Cluster ID
Response
List EKS Anywhere commits
Show child attributes
Show child attributes
Was this page helpful?
⌘I